From 02091dfe86fd15224269650a81f7887c195a7235 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Thu, 26 Jan 2012 15:14:22 -0600
Subject: Changes to the keep highest field (dropdowns)

---
 grade/edit/tree/category_form.php |    8 +++++++-
 grade/edit/tree/lib.php           |    8 +++++++-
 2 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/grade/edit/tree/category_form.php b/grade/edit/tree/category_form.php
index aec1dea..06cbb6e 100644
--- a/grade/edit/tree/category_form.php
+++ b/grade/edit/tree/category_form.php
@@ -84,7 +84,13 @@ class edit_category_form extends moodleform {
             $options[$i] = $i;
         }
 
-        $mform->addElement('select', 'keephigh', get_string('keephigh', 'grades'), $options);
+        $options_h = array(0 => get_string('all'));
+
+        for ($i=1; $i<=20; $i++) {
+            $options_h[$i] = $i;
+        }
+
+        $mform->addElement('select', 'keephigh', get_string('keephigh', 'grades'), $options_h);
         $mform->addHelpButton('keephigh', 'keephigh', 'grades');
         if ((int)$CFG->grade_keephigh_flag & 2) {
             $mform->setAdvanced('keephigh');
diff --git a/grade/edit/tree/lib.php b/grade/edit/tree/lib.php
index 49af487..baa9871 100644
--- a/grade/edit/tree/lib.php
+++ b/grade/edit/tree/lib.php
@@ -989,7 +989,13 @@ class grade_edit_tree_column_keephigh extends grade_edit_tree_column_category {
     }
 
     public function get_category_cell($category, $levelclass, $params) {
-        $keephigh = '<input type="text" size="3" id="keephigh_'.$category->id.'" name="keephigh_'.$category->id.'" value="'.$category->keephigh.'" />';
+        $options_h = array(0 => get_string('all'));
+
+        for ($i=1; $i<=20; $i++) {
+            $options_h[$i] = $i;
+        }
+
+        $keephigh = html_writer::select($options_h, 'keephigh_'.$category->id, $category->keephigh, null);
 
         if ($this->forced) {
             $keephigh = $category->keephigh;
-- 
1.7.1


